Package org.eclipse.rdf4j.query.algebra.helpers

## Class StatementPatternCollector

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RuntimeException>
  - - org.eclipse.rdf4j.query.algebra.helpers.StatementPatternCollector

- All Implemented Interfaces:
    `QueryModelVisitor<RuntimeException>`

      public class StatementPatternCollector
      extends AbstractQueryModelVisitor<RuntimeException>

  A QueryModelVisitor that collects StatementPattern's from a query model. StatementPatterns thet are part of filters/constraints are not included in the result.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatementPatternCollector()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<StatementPattern>` | `getStatementPatterns()` |
    `void` | `meet​(Filter node)` |
    `void` | `meet​(StatementPattern node)` |
    `static List<StatementPattern>` | `process​(QueryModelNode node)` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetNode, meetOther, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatementPatternCollector

          public StatementPatternCollector()

  - ### Method Detail

    - #### process

          public static List<StatementPattern> process​(QueryModelNode node)

    - #### getStatementPatterns

          public List<StatementPattern> getStatementPatterns()

    - #### meet

          public void meet​(Filter node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`

    - #### meet

          public void meet​(StatementPattern node)

      Specified by:
        `meet` in interface `QueryModelVisitor<RuntimeException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RuntimeException>`